Subject: Re: 2.6.14 USB vs. sleep issues

From: Charles-Edouard Ruault <[email-masked]>
Date: Mon, 07 Nov 2005 10:13:02 +0100

Benjamin Herrenschmidt wrote:

>For those who experience crashes on sleep and/or wakeup (typically due
>to USB) with 2.6.14, I made a test patch that might help. Please let me
>know if it makes things more reliable.
>
>http://gate.crashing.org/~benh/fix-ohci-sleep.diff
>
>Note that the patch is totally untested here so it may be just plain
>bogus :)
>
>Ben.
>
>
>
>  
>
Hi Ben,
i've applied your patch and it seems that when i put my powerbook to
sleep ( by closing the lid ) the kernel just crashes since everytime i
come back, the machine is turned off. I had a look at the logs and i see
that i'm having a reboot almost immediateley after the lid is closed.
However i've got no trace of a kernel panic .....
my conf:

Linux kaluha 2.6.14 #1 PREEMPT Mon Oct 31 10:28:22 CET 2005 ppc GNU/Linux
processor       : 0
cpu             : 7447/7457, altivec supported
clock           : 612MHz
revision        : 0.1 (pvr 8002 0101)
bogomips        : 406.52
machine         : PowerBook5,2
motherboard     : PowerBook5,2 MacRISC3 Power Macintosh
detected as     : 287 (PowerBook G4 15")
pmac flags      : 0000001b
L2 cache        : 512K unified
memory          : 768MB
pmac-generation : NewWorld

I have a usb mouse that i unplug before closing the lid.
Anything else that can be usefull ?
Thanks for your time.
Regards.

-- 
Charles-Edouard Ruault

+33 1 55 34 76 65
[email-masked]

Idtect SA
37 Bd des Capucines 
75002 Paris, France
www.idtect.com